Bug 1468991 - Connection exception when trying to connect to the vdsm client
Connection exception when trying to connect to the vdsm client
Status: CLOSED CURRENTRELEASE
Product: vdsm
Classification: oVirt
Component: Core (Show other bugs)
4.19.20
Unspecified Unspecified
unspecified Severity urgent (vote)
: ovirt-4.1.4
: 4.19.22
Assigned To: Piotr Kliczewski
Lukas Svaty
: AutomationBlocker, Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-10 04:04 EDT by Nelly Credi
Modified: 2017-07-28 10:09 EDT (History)
6 users (show)

See Also:
Fixed In Version: 4.19.22
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-28 10:09:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.1+
rule-engine: blocker+
lsvaty: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 79194 ovirt-4.1 MERGED ssl: wrong protocol used by the client 2017-07-10 10:48 EDT

  None (edit)
Description Nelly Credi 2017-07-10 04:04:43 EDT
Description of problem:
There is an connection exception when trying to connect to vdsm client 

Version-Release number of selected component (if applicable):
4.19.21

How reproducible:
100%

Steps to Reproduce:
1.execute on the hosts: python -c "from vdsm import client;client.connect('localhost', 54321,
use_tls=True)"
2.
3.

Actual results:
connect fails
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib/python2.7/site-packages/vdsm/client.py", line 121, in connect
    raise ConnectionError(host, port, use_tls, timeout, e)
vdsm.client.ConnectionError: Connection to localhost:54321 with use_tls=True, timeout=60 failed: an integer is required

Expected results:
we should be able to connect

Additional info:
Comment 1 Lukas Svaty 2017-07-19 11:14:20 EDT
verified in vdsm-4.19.22-1.el7ev.x86_64

[root@moonmoon ~]$ python -c "from vdsm import client;client.connect('localhost', 54321, use_tls=True)"

ergo success

Note You need to log in before you can comment on or make changes to this bug.